<template>
  <v-row class="mt-8 px-0" v-if="Boolean(country)">
    <v-col cols="12" lg="6" md="6">
      <CountySpecList :items="spec_part_one" />
    </v-col>
    <v-col cols="12" lg="6" md="6">
      <CountySpecList :items="spec_part_two" />
    </v-col>
  </v-row>
</template>

<script>
import CountySpecList from "@/components/countries/detail/CountySpecList";

export default {
  name: "CountrySubInfo",
  components: {
    CountySpecList,
  },
  props: {
    country: {
      type: [Array, Object],
    },
  },
  computed: {
    spec_part_one() {
      if (!this.country && this.country.length === 0) return [];
      return [
        {
          title: this.$_t(
            "components.countries.detail.country_spec.items.nativeName"
          ),
          value: this.country.nativeName,
        },
        {
          title: this.$_t(
            "components.countries.detail.country_spec.items.population"
          ),
          value: this.$_number(this.country.population),
        },
        {
          title: this.$_t(
            "components.countries.detail.country_spec.items.region"
          ),
          value: this.country.region,
        },
        {
          title: this.$_t(
            "components.countries.detail.country_spec.items.subregion"
          ),
          value: this.country.subregion,
        },
        {
          title: this.$_t(
            "components.countries.detail.country_spec.items.capital"
          ),
          value: this.country.capital,
        },
      ];
    },

    spec_part_two() {
      if (!this.country || this.country.length < 1) return [];

      return [
        {
          title: this.$_t(
            "components.countries.detail.country_spec.items.topLevelDomain"
          ),
          value: this.country.topLevelDomain.join(", "),
        },
        {
          title: this.$_t(
            "components.countries.detail.country_spec.items.currencies"
          ),
          value: this.country.currencies.map((item) => item.name).join(", "),
        },
        {
          title: this.$_t(
            "components.countries.detail.country_spec.items.languages"
          ),
          value: this.country.languages.map((item) => item.name).join(", "),
        },
      ];
    },
  },
};
</script>

<style scoped></style>
